View Issue Details

IDProjectCategoryView StatusLast Update
0006538gnunet-gtkGeneralpublic2020-11-14 09:57
Reportermateusz Assigned Toschanzen  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionGit master 
Target Version0.14.0Fixed in Version0.14.0 
Summary0006538: gnunet 'make install' puts its libraries where gnunet-gtk configure script cannot find them
DescriptionMy system is an OpenSUSE 15.1 OS (x86_64 arch). I pulled the latest git master and built gnunet, then I installed it as follows:

$ git clone https://gnunet.org/git/gnunet.git
$ cd gnunet
$ ./bootstrap
$ ./configure --prefix=$HOME/gnunet --disable-testing --disable-nls --disable-documentation
$ make
$ make -j1 install

gnunet's "make install" put its libraries inside $HOME/gnunet/lib64/ - not unexpected, since I run an x86_64 OS.

Problem is, that gnunet-gtk cannot find them there. The configure script from gnunet-gtk complained about not finding gnunet. Apparently gnunet-gtk configure script looks for libraries always in a "lib" directory, instead of seeking them in "lib64" on x86_64 systems.
Steps To Reproduce##############################################################################
# BUILD GNUNET #
##############################################################################

$ git clone https://gnunet.org/git/gnunet.git
$ cd gnunet
$ ./bootstrap
$ ./configure --prefix=$HOME/gnunet --disable-testing --disable-nls --disable-documentation
$ make
$ make -j1 install

##############################################################################
# BUILD GNUNET-GTK #
##############################################################################

$ git clone https://gnunet.org/git/gnunet-gtk.git
$ cd gnunet-gtk
$ ./bootstrap
$ ln -s $HOME/gnunet/lib64 $HOME/gnunet/lib # <--- this one is required, otherwise configure fails!
$ ./configure --prefix=/home/mateusz/gnunet --disable-nls --with-gnunet=/home/mateusz/gnunet/
$ make
$ make -j1 install
TagsNo tags attached.

Activities

schanzen

2020-10-29 10:18

manager   ~0017051

This is probably a gnunet-gtk issue, not a gnunet issue.

schanzen

2020-11-14 02:28

manager   ~0017131

Fixed in 41a60472..22309202

schanzen

2020-11-14 09:57

manager   ~0017133

0.14.0 released

Issue History

Date Modified Username Field Change
2020-08-25 16:45 mateusz New Issue
2020-10-29 10:18 schanzen Note Added: 0017051
2020-10-29 10:18 schanzen Target Version => 0.14.0
2020-10-29 10:24 schanzen Project GNUnet => gnunet-gtk
2020-10-29 10:24 schanzen Category build process => General
2020-11-14 02:28 schanzen Assigned To => schanzen
2020-11-14 02:28 schanzen Status new => resolved
2020-11-14 02:28 schanzen Resolution open => fixed
2020-11-14 02:28 schanzen Fixed in Version => 0.14.0
2020-11-14 02:28 schanzen Note Added: 0017131
2020-11-14 09:57 schanzen Note Added: 0017133
2020-11-14 09:57 schanzen Status resolved => closed